Bug 2023 - unable to make rpms under mandrake 9.2
unable to make rpms under mandrake 9.2
Status: RESOLVED LATER
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.8
x86 Linux
: P3 major
: none
Assigned To: Tim Potter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-11 12:28 UTC by Eero Volotinen
Modified: 2005-02-08 06:06 UTC (History)
1 user (show)

See Also:


Attachments
Patch to include our patch fixing the location of libsmbclient, and to the samba2.spec.tmpl to apply it (28.24 KB, patch)
2004-11-12 16:29 UTC, Buchan Milne
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eero Volotinen 2004-11-11 12:28:01 UTC
Unable to generate rpms under mandrake 9.2, using
/packaging/Mandrake/makerpms.sh bug also applieds previous versions of samba 3.0.X

I run it using sh makerpms.sh: final output is :

Obsoletes: samba3-passdb-mysql
Processing files: samba3-passdb-pgsql-3.0.8-1.1mdk
Finding  Provides: /usr/lib/rpm/filter.sh ' ' /usr/lib/rpm/find-provides
Using BuildRoot: /var/tmp/samba3-3.0.8-root to search libs
Finding  Requires: /usr/lib/rpm/filter.sh ' ' /usr/lib/rpm/find-requires
/var/tmp/samba3-3.0.8-root i586
Provides: pgsql.so
Requires(rpmlib): rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
Requires: samba3-server = 3.0.8-1.1mdk libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1.3) libpq.so.3
Processing files: samba3-passdb-xml-3.0.8-1.1mdk
Finding  Provides: /usr/lib/rpm/filter.sh ' ' /usr/lib/rpm/find-provides
Using BuildRoot: /var/tmp/samba3-3.0.8-root to search libs
Finding  Requires: /usr/lib/rpm/filter.sh ' ' /usr/lib/rpm/find-requires
/var/tmp/samba3-3.0.8-root i586
Provides: xml.so
Requires(rpmlib): rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
Requires: samba3-server = 3.0.8-1.1mdk libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1.3) libm.so.6 libpthread.so.0 libxml2.so.2 libz.so.1


RPM build errors:

     This rpm has build options available, use --with options to see them

    File listed twice: /usr/bin/smbmnt3
    File listed twice: /usr/bin/smbmount3
    File listed twice: /usr/bin/smbumount3
    File listed twice: /usr/share/man/man8/smbmnt3.8.bz2
    File listed twice: /usr/share/man/man8/smbmount3.8.bz2
    File listed twice: /usr/share/man/man8/smbumount3.8.bz2
    File not found by glob: /var/tmp/samba3-3.0.8-root/usr/lib/libsmbclient.so.*
Done.
Comment 1 Gerald (Jerry) Carter 2004-11-11 12:48:53 UTC
Buchan,  can you send me some packaging fixes for this one?
Thanks.
Comment 2 Buchan Milne 2004-11-12 16:27:31 UTC
Hmm, Jerry, I mentioned this issue to you before (just after 3.0.6), and you
said you would take a look at it after 3.0.7 ...

IMHO, libsmbclient.so* don't belong in the same place as samba VFS plugins etc.

Between 3.0.5 and 3.0.6 $(LIBDIR) was changed to what was previously
$(LIBDIR)/samba, so 'make installclientlib' puts libsmbclient* into
/usr/lib/samba on Mandrake.

The (bad) patch I'm using in Mandrake packages is this:
--- samba-3.0.6/source/Makefile.in~     2004-08-19 15:39:11.000000000 +0200
+++ samba-3.0.6/source/Makefile.in      2004-08-20 23:22:39.794171905 +0200
@@ -1319,9 +1319,9 @@
        @$(SHELL) $(srcdir)/script/installswat.sh $(DESTDIR)$(SWATDIR) $(srcdir)

 installclientlib: installdirs libsmbclient
-       @$(SHELL) $(srcdir)/script/installdirs.sh $(DESTDIR)$(LIBDIR)
-       -$(INSTALLCLIENTCMD_SH) bin/libsmbclient.@SHLIBEXT@ $(DESTDIR)$(LIBDIR)
-       -$(INSTALLCLIENTCMD_A) bin/libsmbclient.a $(DESTDIR)$(LIBDIR)
+       @$(SHELL) $(srcdir)/script/installdirs.sh $(DESTDIR)$(LIBDIR)/../
+       -$(INSTALLCLIENTCMD_SH) bin/libsmbclient.@SHLIBEXT@ $(DESTDIR)$(LIBDIR)/
../
+       -$(INSTALLCLIENTCMD_A) bin/libsmbclient.a $(DESTDIR)$(LIBDIR)/../
        @$(SHELL) $(srcdir)/script/installdirs.sh $(DESTDIR)${prefix}/include
        -$(INSTALLCMD) $(srcdir)/include/libsmbclient.h $(DESTDIR)${prefix}/incl
ude

I'm assuming you won't want to apply this for 3.0.9, in which case you can use
the packaging patch I will attach now (which will then include this patch in our
packaging directory so it will be applied during a build using 'sh makerpms.sh'.

If you do fix this issue in mainline for 3.0.9, it would be safer to go without
it the patch for now ...
Comment 3 Buchan Milne 2004-11-12 16:29:30 UTC
Created attachment 770 [details]
Patch to include our patch fixing the location of libsmbclient, and to the samba2.spec.tmpl to apply it

Please only apply it if no other substantial changes are made to the top level
Makefile
Comment 4 Eero Volotinen 2004-11-13 00:23:41 UTC
(In reply to comment #3)

Still no work, applied patch and:

Requires: samba3-server = 3.0.8-1.1mdk libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1.3) libm.so.6 libpthread.so.0 libxml2.so.2 libz.so.1


RPM build errors:

     This rpm has build options available, use --with options to see them

    File listed twice: /usr/bin/smbmnt3
    File listed twice: /usr/bin/smbmount3
    File listed twice: /usr/bin/smbumount3
    File listed twice: /usr/share/man/man8/smbmnt3.8.bz2
    File listed twice: /usr/share/man/man8/smbmount3.8.bz2
    File listed twice: /usr/share/man/man8/smbumount3.8.bz2
    File not found by glob: /var/tmp/samba3-3.0.8-root/usr/lib/libsmbclient.so.*
Done.
Comment 5 Eero Volotinen 2004-11-13 00:43:10 UTC
(In reply to comment #3)


looks like this part of patch do not apply??

+--- samba-3.0.6/source/Makefile.in~    2004-08-19 15:39:11.000000000 +0200
++++ samba-3.0.6/source/Makefile.in     2004-08-20 23:22:39.794171905 +0200
+@@ -1319,9 +1319,9 @@
+       @$(SHELL) $(srcdir)/script/installswat.sh $(DESTDIR)$(SWATDIR) $(srcdir)
+
+ installclientlib: installdirs libsmbclient
+-      @$(SHELL) $(srcdir)/script/installdirs.sh $(DESTDIR)$(LIBDIR)
+-      -$(INSTALLCLIENTCMD_SH) bin/libsmbclient.@SHLIBEXT@ $(DESTDIR)$(LIBDIR)
+-      -$(INSTALLCLIENTCMD_A) bin/libsmbclient.a $(DESTDIR)$(LIBDIR)
++      @$(SHELL) $(srcdir)/script/installdirs.sh $(DESTDIR)$(LIBDIR)/../
++      -$(INSTALLCLIENTCMD_SH) bin/libsmbclient.@SHLIBEXT@ $(DESTDIR)$(LIBDIR)/../
++      -$(INSTALLCLIENTCMD_A) bin/libsmbclient.a $(DESTDIR)$(LIBDIR)/../
+       @$(SHELL) $(srcdir)/script/installdirs.sh $(DESTDIR)${prefix}/include
+       -$(INSTALLCMD) $(srcdir)/include/libsmbclient.h $(DESTDIR)${prefix}/include
+
Comment 6 Buchan Milne 2004-11-15 02:08:14 UTC
The patch I attaced was for samba CVS. If jerry applies it before the release of
3.0.9, it will work in the 3.0.9 release.

The difference is that you haven't got a new samba2.spec file in
packaging/Mandrake, it is generated from the samba2.spec.tmpl by the scripts run
at release time, to replace the version numbers etc to generate samba2.spec,
which is then used to generate samba.spec by makerpms.sh.

You should instead use makerpms-cvs.sh, which will generate you a new
samba2.spec file from the samba2.spec.tmpl file.

Or, as I suggested before, just rebuild the cooker SRPM, which will apply these
patches correctly (and has been doing so on all the releases I tested on since
the release of 3.0.6).
Comment 7 Gerald (Jerry) Carter 2004-11-15 20:26:37 UTC
Buchan,  I'm applying your patch for 3.0.9.  We'll fix this properly in 3.0.10
Comment 8 Eero Volotinen 2004-11-22 09:15:12 UTC
still not working on samba 3.0.9 is this patch applied?
Comment 9 Eero Volotinen 2004-11-22 09:15:51 UTC
It is not still patched in 3.0.9 ? is patch applied?
Comment 10 Buchan Milne 2004-11-22 09:49:28 UTC
For now, please rebuild the samba-3.0.9-2mdk.src.rpm, it will work ...

I'll look at this tomorrow.
Comment 11 Gerald (Jerry) Carter 2005-02-08 06:06:55 UTC
marking as later.  Buchan, we should talk about 
the Mandrake packaging.  Lars (from SuSE) found it 
was easier to add a README pointing back to their 
SRPMS rather than trying to maintain it locally.
Also I can give you access to upload files to samba.org 
rather than working through me if you would like.
Or we can just point at cooker.